Bug 21420 - > 180 degree rotations don't work
Summary: > 180 degree rotations don't work
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Chris Marrin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-06 17:16 PDT by Chris Marrin
Modified: 2008-10-09 16:04 PDT (History)
2 users (show)

See Also:


Attachments
Test case showing bug (2.36 KB, text/html)
2008-10-06 17:20 PDT, Chris Marrin
no flags Details
Patch, including LayoutTest file (5.22 KB, patch)
2008-10-07 10:14 PDT, Chris Marrin
no flags Details | Formatted Diff | Diff
replacement patch with a more descriptive comment (5.29 KB, patch)
2008-10-07 10:36 PDT, Chris Marrin
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Marrin 2008-10-06 17:16:40 PDT
See attached test case. The logic in the KeyframeAnimation ctor computes the m_transformFunctionListValid too early, causing it to always be false. This causes the interpolator to always interpolate using a matrix, which can't represent rotations > 180 degrees.

Patch on the way
Comment 1 Chris Marrin 2008-10-06 17:20:28 PDT
Created attachment 24134 [details]
Test case showing bug
Comment 2 Chris Marrin 2008-10-07 10:14:05 PDT
Created attachment 24148 [details]
Patch, including LayoutTest file
Comment 3 Chris Marrin 2008-10-07 10:36:31 PDT
Created attachment 24150 [details]
replacement patch with a more descriptive comment
Comment 4 mitz 2008-10-09 10:45:07 PDT
Comment on attachment 24150 [details]
replacement patch with a more descriptive comment

r=me
Comment 5 Chris Marrin 2008-10-09 16:04:36 PDT
Sending        LayoutTests/ChangeLog
Adding         LayoutTests/animations/big-rotation-expected.txt
Adding         LayoutTests/animations/big-rotation.html
Sending        WebCore/ChangeLog
Sending        WebCore/page/animation/KeyframeAnimation.cpp
Transmitting file data .....
Committed revision 37451.